Get detailed information about main address of requested name
curl --request GET \
--url https://api.blockscout.com/services/bens/api/v1/addresses/{address} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/services/bens/api/v1/addresses/{address}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/services/bens/api/v1/addresses/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chain_infos": {},
"coin_balance": "<string>",
"domains": [
{
"name": "<string>",
"protocol": {
"deployment_blockscout_base_url": "<string>",
"description": "<string>",
"docs_url": "<string>",
"icon_url": "<string>",
"id": "<string>",
"short_name": "<string>",
"title": "<string>",
"tld_list": [
"<string>"
]
}
}
],
"exchange_rate": "<string>",
"has_interop_message_transfers": true,
"has_tokens": true,
"hash": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}MultichainDomains
Get detailed information about main address of requested name
GET
/
services
/
bens
/
api
/
v1
/
addresses
/
{address}
Get detailed information about main address of requested name
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Query Parameters
The chain (network) where domain search should be done
comma separated list of protocol ids. Default is ENS protocol only
If true, search across all supported protocols and ignore protocols.
When chain_id is set, the search is scoped to all protocols on that chain.
Response
A successful response.
Map of chain id to chain-specific information.
Show child attributes
Show child attributes
Sum of coin balances across all chains.
Show child attributes
Show child attributes
Exchange rate of the cluster native coin.
Was this page helpful?